Subject: Re: [PATCH net-next v3 0/4] mpls: Behaviour-changing improvements

From: [email-masked] (Eric W. Biederman)
Date: Wed, 01 Apr 2015 16:14:27 -0500

David Miller <[email-masked]> writes:

> From: Robert Shearman <[email-masked]>
> Date: Mon, 30 Mar 2015 19:15:52 +0100
>
>> This series consists of several small changes to make it easier to
>> understand the code, along with security and RFC-compliance
>> changes. These are important to consider before userspace begins
>> relying on the previous behaviour.
>
> Robert, you _absolutely_ must give common courtesy to Eric Biederman
> and always CC: him explicitly on any proposed changes you want to make
> to the new MPLS support.
>
> I'm adding him here.

Thank you.  I have been pretty overloaded with catching up on
a couple of other things.  So I have not had as much time as I would
have liked to look at these changes.

Anyone looking at this today should really look at RFC7511 as it seems
releavant.

Eric

>> V2:
>>   - Dropped PHP comment patch to avoid holding up the rest of the
>>     changes due to quibbling on nomenclature.
>>   - Corrected reference to RFC 3031 in commit message of patch
>>     2. Added reference to RFC 3031 s4.1.5 for PHP behaviour.
>>   - s/forwarding/input/ in patch 3.
>>   - Made MPT_IPV4 and MPT_IPV6 equal to 4 and 6 respectively in patch
>>     4, eliminating a switch on the version number as suggested by
>>     review comments. Added back references to RFCs, but moved them to
>>     mpls_payload_type enum declaration.
>> V1:
>>   - Updated to reference the correct RFC in the first patch.
>> 
>> Robert Shearman (4):
>>   mpls: Use definition for reserved label checks
>>   mpls: Differentiate implicit-null and unlabeled neighbours
>>   mpls: Per-device enabling of packet input
>>   mpls: Allow payload type to be associated with label routes
>> 
>>  Documentation/networking/mpls-sysctl.txt |   9 ++
>>  include/linux/netdevice.h                |   4 +
>>  net/mpls/af_mpls.c                       | 226 +++++++++++++++++++++++++------
>>  net/mpls/internal.h                      |   7 +
>>  4 files changed, 203 insertions(+), 43 deletions(-)
>> 
>> -- 
>> 2.1.4
>>